/home/travis/build/boostorg/boost/boost/geometry/algorithms/clear.hpp File Reference

## Classes

struct | boost::geometry::resolve_variant::clear< Geometry >
struct | boost::geometry::resolve_variant::clear< variant< BOOST_VARIANT_ENUM_PARAMS(T)> >
struct | boost::geometry::resolve_variant::clear< variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor

## Namespaces

namespace | boost
namespace | boost::geometry
namespace | boost::geometry::resolve_variant

## Functions

template<typename Geometry >
void | boost::geometry::clear (Geometry &geometry)
| Clears a linestring, ring or polygon (exterior+interiors) or multi*.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK